## golang-github-eggsampler-acme 3.6.1

=== Makefile ===

.PHONY: test examples clean test_full pebble pebble_setup pebble_start pebble_wait pebble_stop boulder boulder_setup boulder_start boulder_stop

# some variables for path injection, if already set will not override
GOPATH ?= $(HOME)/go
BOULDER_PATH ?= $(GOPATH)/src/github.com/letsencrypt/boulder
PEBBLE_PATH ?= $(GOPATH)/src/github.com/letsencrypt/pebble
TEST_PATH ?= github.com/eggsampler/acme/v3
CLIENT ?= unknown

# tests the code against an already running ca instance
# to actually do a test against pebble or boulder, including , see the 'pebble' or 'boulder' targets
test:
	-go clean -testcache
	CGO_ENABLED=1 go test -v -race -coverprofile=coverage-$(CLIENT).out -covermode=atomic $(TEST_PATH)

examples:
	go build -o /dev/null examples/certbot/certbot.go
	go build -o /dev/null examples/autocert/autocert.go
	go build -o /dev/null examples/zerossl/zerossl.go
	go build -o /dev/null examples/ari/renewalinfo.go

clean:
	rm -f coverage*.out

test_full: clean examples pebble pebble_stop boulder boulder_stop


# sets up & runs pebble (in docker), tests, then stops pebble
pebble: CLIENT = pebble
pebble: pebble_setup pebble_start pebble_wait test pebble_stop

pebble_setup:
	CLIENT=pebble
	mkdir -p $(PEBBLE_PATH)
	-git clone --depth 1 https://github.com/letsencrypt/pebble.git $(PEBBLE_PATH)
	(cd $(PEBBLE_PATH); git checkout -f main && git reset --hard HEAD && git pull -q)
	make pebble_stop

# runs an instance of pebble using docker
pebble_start:
	docker-compose -f $(PEBBLE_PATH)/docker-compose.yml up -d

# waits until pebble responds
pebble_wait:
	while ! wget --delete-after -q --no-check-certificate "https://localhost:14000/dir" ; do sleep 1 ; done

# stops the running pebble instance
pebble_stop:
	docker-compose -f $(PEBBLE_PATH)/docker-compose.yml down


# sets up & runs boulder (in docker), tests, then stops boulder
boulder: CLIENT = boulder
boulder: boulder_setup boulder_start boulder_wait test boulder_stop

# NB: this edits docker-compose.yml
boulder_setup:
	mkdir -p $(BOULDER_PATH)
	-git clone --depth 1 https://github.com/letsencrypt/boulder.git $(BOULDER_PATH)
	(cd $(BOULDER_PATH); git checkout -f main && git reset --hard HEAD && git pull -q)
	make boulder_stop

# runs an instance of boulder
boulder_start:
	docker-compose -f $(BOULDER_PATH)/docker-compose.yml -f $(BOULDER_PATH)/docker-compose.next.yml -f docker-compose.boulder-temp.yml up -d

# waits until boulder responds
boulder_wait:
	while ! wget --delete-after -q --no-check-certificate "http://localhost:4001/directory" ; do sleep 1 ; done

# stops the running docker instance
boulder_stop:
	docker-compose -f $(BOULDER_PATH)/docker-compose.yml -f $(BOULDER_PATH)/docker-compose.next.yml -f docker-compose.boulder-temp.yml down

=== debian/changelog ===
golang-github-eggsampler-acme (3.6.1-2) unstable; urgency=medium

  * Team upload
  * Fixup d/copyright (Closes: #1102637)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 17 Jul 2025 07:20:21 +0000

golang-github-eggsampler-acme (3.6.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Thu, 27 Mar 2025 09:41:31 +0100

golang-github-eggsampler-acme (3.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #1100131)

 -- Luca Soler <luca.soler@proton.me>  Tue, 11 Mar 2025 16:51:05 +0100

=== debian/control ===
Source: golang-github-eggsampler-acme
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Luca Soler <luca.soler@proton.me>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-eggsampler-acme
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-eggsampler-acme.git
Homepage: https://github.com/eggsampler/acme
XS-Go-Import-Path: github.com/eggsampler/acme

Package: golang-github-eggsampler-acme-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Go client library implementation for ACME v2 (RFC8555) (library)
 eggsampler/acme is a Go client library implementation for RFC8555
 (https://tools.ietf.org/html/rfc8555) (previously ACME v2). This library
 can be used with the Let's Encrypt (https://letsencrypt.org/)
 Certificate Authority (CA), but also other ACME compliant CA's such as
 ZeroSSL (https://zerossl.com/).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/eggsampler/acme/tags .*/v?(\d\S*)\.tar\.gz debian
